/*
 * Copyright (c) 2014, 2017 embedded brains GmbH.  All rights reserved.
 *
 *  embedded brains GmbH
 *  Dornierstr. 4
 *  82178 Puchheim
 *  Germany
 *  <rtems@embedded-brains.de>
 *
 * The license and distribution terms for this file may be
 * found in the file LICENSE in this distribution or at
 * http://www.rtems.org/license/LICENSE.
 */

#ifdef HAVE_CONFIG_H
  #include "config.h"
#endif

#include <rtems/test.h>
#include <rtems/bspIo.h>

rtems_printer rtems_test_printer = {
  .printer = rtems_printk_printer
};

int rtems_test_begin(void)
{
  return rtems_printf(
    &rtems_test_printer,
    TEST_BEGIN_STRING
  );
}

int rtems_test_end(void)
{
  return rtems_printf(
    &rtems_test_printer,
    TEST_END_STRING
  );
}

int rtems_test_printf(
  const char* format,
  ...
)
{
  va_list ap;
  int len;
  va_start(ap, format);
  len = rtems_vprintf(
    &rtems_test_printer,
    format,
    ap
  );
  va_end(ap);
  return len;
}
